PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
PThreadLocalStorage< Storage_T > Class Template Reference

`#include <thread.h>`

Inheritance diagram for PThreadLocalStorage< Storage_T >:
[legend]
Collaboration diagram for PThreadLocalStorage< Storage_T >:
[legend]

## Public Types
typedef Storage_T * | Ptr_T

## Public Member Functions
| ~PThreadLocalStorage ()
Ptr_T | Get () const
| operator Ptr_T () const
Ptr_T | operator-> () const
Storage_T & | operator* () const
Public Member Functions inherited from PThread::LocalStorageBase
virtual | ~LocalStorageBase ()

## Protected Member Functions
virtual void * | Allocate () const
virtual void | Deallocate (void *ptr) const
Protected Member Functions inherited from PThread::LocalStorageBase
| LocalStorageBase ()
void | StorageDestroyed ()
virtual void * | GetStorage () const

## Member Typedef Documentation

template<class Storage_T >

typedef Storage_T* PThreadLocalStorage< Storage_T >::Ptr_T

## Constructor & Destructor Documentation

template<class Storage_T >

PThreadLocalStorage< Storage_T >::~PThreadLocalStorage | ( |  | ) |
| inline

References PThread::LocalStorageBase::StorageDestroyed().

## Member Function Documentation

template<class Storage_T >

virtual void* PThreadLocalStorage< Storage_T >::Allocate | ( |  | ) | const
| inline protected virtual

Implements PThread::LocalStorageBase.

template<class Storage_T >

virtual void PThreadLocalStorage< Storage_T >::Deallocate | ( | void * | ptr | ) | const
| inline protected virtual

Implements PThread::LocalStorageBase.

template<class Storage_T >

Ptr_T PThreadLocalStorage< Storage_T >::Get | ( |  | ) | const
| inline

References PThread::LocalStorageBase::GetStorage().

template<class Storage_T >

PThreadLocalStorage< Storage_T >::operator Ptr_T | ( |  | ) | const
| inline

References PThread::LocalStorageBase::GetStorage().

template<class Storage_T >

Storage_T& PThreadLocalStorage< Storage_T >::operator* | ( |  | ) | const
| inline

References PThread::LocalStorageBase::GetStorage().

template<class Storage_T >

Ptr_T PThreadLocalStorage< Storage_T >::operator-> | ( |  | ) | const
| inline

References PThread::LocalStorageBase::GetStorage().

The documentation for this class was generated from the following file:

- thread.h